# ReflectionClass::getInterfaces

(PHP 5, PHP 7)

ReflectionClass::getInterfaces — Gets the interfaces

### Description

public ReflectionClass::getInterfaces ( void ) : array

Gets the interfaces.

### Parameters

This function has no parameters.

### Return Values

An associative array of interfaces, with keys as interface names and the array values as ReflectionClass objects.

### Examples

Example #1 ReflectionClass::getInterfaces() example

`<?php
interface Foo { }
interface Bar { }
class Baz implements Foo, Bar { }
$rc1 = new ReflectionClass("Baz");
print_r($rc1->getInterfaces());
?>`

The above example will output something similar to:

    Array
    (
        [Foo] => ReflectionClass Object
            (
                [name] => Foo
            )

        [Bar] => ReflectionClass Object
            (
                [name] => Bar
            )

    )

### See Also

- ReflectionClass::getInterfaceNames() - Gets the interface names